## pngquant 1.8.3

=== Makefile ===
# Makefile for pngquant
VERSION = $(shell grep 'define PNGQUANT_VERSION' pngquant.c | egrep -Eo '1\.[0-9.]*')

# This changes default "cc" to "gcc", but still allows customization of the CC variable
# if this line causes problems with non-GNU make, just remove it:
CC := $(patsubst cc,gcc,$(CC))

BIN ?= pngquant
PREFIX ?= /usr/local
BINPREFIX = $(PREFIX)/bin

# Alternatively, build libpng in this directory:
CUSTOMLIBPNG ?= ../libpng

CFLAGSOPT ?= -DNDEBUG -O3 -fstrict-aliasing -ffast-math -funroll-loops -fomit-frame-pointer -ffinite-math-only

CFLAGS ?= -Wall -Wno-unknown-pragmas -I. -I$(CUSTOMLIBPNG) -I/usr/local/include/ -I/usr/include/ -I/usr/X11/include/ $(CFLAGSOPT)
CFLAGS += -std=c99 $(CFLAGSADD)

LDFLAGS ?= -L$(CUSTOMLIBPNG) -L/usr/local/lib/ -L/usr/lib/ -L/usr/X11/lib/
LDFLAGS += -lpng -lm $(LDFLAGSADD)

OBJS = pngquant.o rwpng.o pam.o mediancut.o blur.o mempool.o viter.o nearest.o
COCOA_OBJS = rwpng_cocoa.o

DISTFILES = $(OBJS:.o=.c) *.[hm] pngquant.1 Makefile README.md INSTALL CHANGELOG COPYRIGHT
TARNAME = pngquant-$(VERSION)
TARFILE = $(TARNAME)-src.tar.bz2

ifdef USE_COCOA
CFLAGS += -DUSE_COCOA=1
OBJS += $(COCOA_OBJS)
FRAMEWORKS += -framework Cocoa
endif

BUILD_CONFIGURATION="$(CC) $(CFLAGS) $(LDFLAGS)"

all: $(BIN)

openmp::
	$(MAKE) CFLAGSADD=-fopenmp OPENMPFLAGS="-Bstatic -lgomp" -j8 $(MAKEFLAGS)

$(BIN): $(OBJS)
	$(CC) $(OBJS) $(LDFLAGS) $(OPENMPFLAGS) $(FRAMEWORKS) -o $@

rwpng_cocoa.o: rwpng_cocoa.m
	clang -c $(CFLAGS) -o $@ $<

$(OBJS): pam.h rwpng.h build_configuration

install: $(BIN)
	install -m 0755 -p -D $(BIN) $(DESTDIR)$(BINPREFIX)/$(BIN)

uninstall:
	rm -f $(DESTDIR)$(BINPREFIX)/$(BIN)

dist: $(TARFILE)

$(TARFILE): $(DISTFILES)
	rm -rf $(TARFILE) $(TARNAME)
	mkdir $(TARNAME)
	cp $(DISTFILES) $(TARNAME)
	tar -cjf $(TARFILE) --numeric-owner --exclude='._*' $(TARNAME)
	rm -rf $(TARNAME)
	shasum $(TARFILE)

clean:
	rm -f $(BIN) $(OBJS) $(COCOA_OBJS) $(TARFILE) build_configuration

build_configuration::
	@test -f build_configuration -a $(BUILD_CONFIGURATION) = "`cat build_configuration`" || echo > build_configuration $(BUILD_CONFIGURATION)

.PHONY: all openmp install uninstall dist clean
.DELETE_ON_ERROR:

=== debian/changelog ===
pngquant (1.8.3-1) experimental; urgency=low

  * New upstream release (Closes: #665701);
  * Changed libpng12-dev → libpng-dev in Build-Depends (Closes: #662475);
  * Fixed syntax options (Closes: #602585);
  * Fixed options in mapnage (Closes: #602586);
  * Acknowledge NMU (Thanks, Simon Paillard! Closes: #649129).
    Both issues are fixed upstream.
  * Added Kornel Lesiński as co-maintainer;
  * Updated watch file;
  * Updated upstream homepage;
  * Updated long description;
  * Updated compat level to 9;
  * Updated Stardards-Version to 3.9.4 (no changes needed);
  * Updated copyright file to DEP-5;
  * Converted package from CDBS to minimal debhelper rules;
  * Removed manpage (now provided upstream);
  * Created pngquant-dbg package with debugging symbols.

 -- Nelson A. de Oliveira <naoliv@debian.org>  Mon, 25 Feb 2013 22:25:37 -0300

pngquant (1.0-4.1) unstable; urgency=low

  * Non-maintainer upload.
  * Fix FTBFS: fix format security (Closes: #643459)
  * Fix FTBFS with libpng 1.5: explicit include zlib.h (Closes: #641891)

 -- Simon Paillard <spaillard@debian.org>  Fri, 18 Nov 2011 00:04:47 +0100

pngquant (1.0-4) unstable; urgency=low

  * Fix watch file (Closes: #450009);
  * Updated Standards-Version to 3.7.3 (no changes needed);
  * Using new Homepage field;
  * Updated debhelper compatibility level to 6.

 -- Nelson A. de Oliveira <naoliv@debian.org>  Tue, 26 Feb 2008 09:50:21 -0300

pngquant (1.0-3) unstable; urgency=medium

  * Added explanation about ncolors on manpage (Closes: #388638);
  * New maintainer address;
  * Added tags on debian/control;
  * Changed to debhelper compatibility level 5;
  * Added a space before Homepage: on debian/control;
  * Updated Standards-Version to 3.7.2 (no changes needed);
  * Medium urgency since it includes documentation fix only.

 -- Nelson A. de Oliveira <naoliv@debian.org>  Thu,  7 Dec 2006 00:53:28 -0200

pngquant (1.0-2) unstable; urgency=low

  * pngquant is not linked statically to libpng anymore;
  * Updated Standards-Version to 3.6.2 (no changes needed);
  * Using CDBS now;
  * Added watch file;
  * Included upstream changelog;
  * Updated description.

 -- Nelson A. de Oliveira <naoliv@gmail.com>  Wed, 19 Oct 2005 17:12:20 -0200

pngquant (1.0-1) unstable; urgency=low

  * Initial Release (Closes: #283960)

 -- Nelson A. de Oliveira <naoliv@gmail.com>  Thu,  3 Mar 2005 22:29:03 -0300

=== debian/control ===
Source: pngquant
Section: graphics
Priority: optional
Maintainer: Nelson A. de Oliveira <naoliv@debian.org>
Uploaders: Kornel Lesiński <kornel@pngquant.org>
Build-Depends: debhelper (>= 9), libpng-dev, zlib1g-dev
Standards-Version: 3.9.4
Homepage: http://pngquant.org/

Package: pngquant
Architecture: any
Depends: ${misc:Depends}, ${shlibs:Depends}
Description: PNG (Portable Network Graphics) image optimising utility
 pngquant is a command-line utility for converting 24/32-bit PNG images to
 paletted (8-bit) PNGs.
 .
 The conversion reduces file sizes significantly (often as much as 70%) and
 preserves full alpha transparency. Generated images are compatible with all
 modern web browsers, and have better fallback in IE6 than 24-bit PNGs.
 .
 Features:
  * High-quality palette generation using modernized Median Cut algorithm.
  * Unique dithering algorithm that adds less noise to images than the standard
    Floyd-Steinberg.
  * Easy to integrate with shell scripts, GUIs and server-side software.
  * Fast mode for processing large numbers of images.
 .
 Optimizers (like pngcrush and optipng) optimize the compression, usually
 losslessly, while pngquant quantizes colors down to 256 (or fewer) distinct
 RGBA combinations, which is lossy.

Package: pngquant-dbg
Architecture: any
Section: debug
Priority: extra
Depends: pngquant (= ${binary:Version}), ${misc:Depends}
Description: debugging symbols for pngquant
 pngquant is a command-line utility for converting 24/32-bit PNG images to
 paletted (8-bit) PNGs.
 .
 This package contains the debugging symbols for pngquant.

=== debian/rules ===
#!/usr/bin/make -f

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1

%:
	dh $@

override_dh_auto_install:
	$(MAKE) PREFIX=$$(pwd)/debian/pngquant/usr install

override_dh_strip:
	dh_strip --dbg-package=pngquant-dbg

override_dh_installdocs:
	dh_installdocs --link-doc=pngquant

=== debian/watch ===
version=3
http://pngquant.org/releases.html http://pngquant.org/pngquant-(.*)-src\.tar\.bz2

## pngquant 2.0.1

=== Makefile ===
# Makefile for pngquant
VERSION = $(shell grep 'define PNGQUANT_VERSION' pngquant.c | egrep -Eo '[12]\.[0-9.]*')

# This changes default "cc" to "gcc", but still allows customization of the CC variable
# if this line causes problems with non-GNU make, just remove it:
CC := $(patsubst cc,gcc,$(CC))

BIN ?= pngquant
PREFIX ?= /usr/local
BINPREFIX = $(PREFIX)/bin

# Alternatively, build libpng and zlib in these directories:
CUSTOMLIBPNG ?= ../libpng
CUSTOMZLIB ?= ../zlib

CFLAGSOPT ?= -DNDEBUG -O3 -fstrict-aliasing -ffast-math -funroll-loops -fomit-frame-pointer -ffinite-math-only

CFLAGS ?= -Wall -Wno-unknown-pragmas -I. -I$(CUSTOMLIBPNG) -I$(CUSTOMZLIB) -I/usr/local/include/ -I/usr/include/ -I/usr/X11/include/ $(CFLAGSOPT)
CFLAGS += -std=c99 $(CFLAGSADD)

LDFLAGS ?= -L$(CUSTOMLIBPNG) -L$(CUSTOMZLIB) -L/usr/local/lib/ -L/usr/lib/ -L/usr/X11/lib/
LDFLAGS += -lpng -lz -lm lib/libimagequant.a -lm $(LDFLAGSADD)

OBJS = pngquant.o rwpng.o
COCOA_OBJS = rwpng_cocoa.o

DISTLIBFILES = lib/*.[ch] lib/Makefile lib/COPYRIGHT lib/MANUAL.md
DISTFILES = $(OBJS:.o=.c) *.[hm] pngquant.1 Makefile README.md INSTALL CHANGELOG COPYRIGHT
TARNAME = pngquant-$(VERSION)
TARFILE = $(TARNAME)-src.tar.bz2

ifdef USE_COCOA
CFLAGS += -mmacosx-version-min=10.6 -DUSE_COCOA=1
LDLAGS += -mmacosx-version-min=10.6
OBJS += $(COCOA_OBJS)
FRAMEWORKS += -framework Cocoa
endif

BUILD_CONFIGURATION="$(CC) $(CFLAGS) $(LDFLAGS)"

all: $(BIN)

lib/libimagequant.a::
	$(MAKE) -C lib -$(MAKEFLAGS) static

openmp::
	$(MAKE) CFLAGSADD="$(CFLAGSADD) -fopenmp" OPENMPFLAGS="-Bstatic -lgomp" -j8 $(MKFLAGS)

$(BIN): $(OBJS) lib/libimagequant.a
	$(CC) $(OBJS) $(LDFLAGS) $(OPENMPFLAGS) $(FRAMEWORKS) -o $@

rwpng_cocoa.o: rwpng_cocoa.m
	clang -c $(CFLAGS) -o $@ $<

$(OBJS): rwpng.h build_configuration

install: $(BIN)
	install -m 0755 -p $(BIN) $(DESTDIR)$(BINPREFIX)/$(BIN)

uninstall:
	rm -f $(DESTDIR)$(BINPREFIX)/$(BIN)

dist: $(TARFILE)

$(TARFILE): $(DISTFILES)
	rm -rf $(TARFILE) $(TARNAME)
	mkdir -p $(TARNAME)/lib
	cp $(DISTFILES) $(TARNAME)
	cp $(DISTLIBFILES) $(TARNAME)/lib
	tar -cjf $(TARFILE) --numeric-owner --exclude='._*' $(TARNAME)
	rm -rf $(TARNAME)
	shasum $(TARFILE)

clean:
	rm -f $(BIN) $(OBJS) $(COCOA_OBJS) $(TARFILE) build_configuration
	$(MAKE) -C lib -$(MAKEFLAGS) clean

build_configuration::
	@test -f build_configuration && test $(BUILD_CONFIGURATION) = "`cat build_configuration`" || echo > build_configuration $(BUILD_CONFIGURATION)

.PHONY: all openmp install uninstall dist clean
.DELETE_ON_ERROR:

=== lib/Makefile ===
VERSION=2.0.0

# This changes default "cc" to "gcc", but still allows customization of the CC variable
# if this line causes problems with non-GNU make, just remove it:
CC := $(patsubst cc,gcc,$(CC))

STATICLIB=libimagequant.a
DLL=libimagequant.dll
DLLIMP=libimagequant_dll.a
DLLDEF=libimagequant_dll.def

CFLAGSOPT ?= -DNDEBUG -O3 -fstrict-aliasing -ffast-math -funroll-loops -fomit-frame-pointer -ffinite-math-only

CFLAGS ?= -Wall -Wno-unknown-pragmas -I. $(CFLAGSOPT)
CFLAGS += -std=c99 $(CFLAGSADD)

OBJS = pam.o mediancut.o blur.o mempool.o viter.o nearest.o libimagequant.o

BUILD_CONFIGURATION="$(CC) $(CFLAGS) $(LDFLAGS)"

DISTFILES = $(OBJS:.o=.c) *.h MANUAL.md COPYRIGHT Makefile
TARNAME = libimagequant-$(VERSION)
TARFILE = $(TARNAME)-src.tar.bz2

all: static

static: $(STATICLIB)

dll:
	$(MAKE) CFLAGSADD="-DLIQ_EXPORT='__declspec(dllexport)'" $(DLL)

openmp::
	$(MAKE) CFLAGSADD=-fopenmp OPENMPFLAGS="-Bstatic -lgomp" -j8 -$(MAKEFLAGS)

$(DLL) $(DLLIMP): $(OBJS)
	$(CC) -shared -o $(DLL) $(OBJS) $(LDFLAGS) -Wl,--out-implib,$(DLLIMP),--output-def,$(DLLDEF)

$(STATICLIB): $(OBJS)
	$(AR) $(ARFLAGS) $@ $^

$(OBJS): pam.h build_configuration

dist: $(TARFILE)

$(TARFILE): $(DISTFILES)
	rm -rf $(TARFILE) $(TARNAME)
	mkdir $(TARNAME)
	cp $(DISTFILES) $(TARNAME)
	tar -cjf $(TARFILE) --numeric-owner --exclude='._*' $(TARNAME)
	rm -rf $(TARNAME)
	-shasum $(TARFILE)

clean:
	rm -f $(OBJS) $(STATICLIB) $(TARFILE) build_configuration

build_configuration::
	@test -f build_configuration && test $(BUILD_CONFIGURATION) = "`cat build_configuration`" || echo > build_configuration $(BUILD_CONFIGURATION)

.PHONY: all openmp static clean dist dll
.DELETE_ON_ERROR:

=== debian/changelog ===
pngquant (2.0.1-1) unstable; urgency=low

  * New upstream version
  * debian/watch: Adapt to new homepage
  * debian/control:
     - moved package to pkg-phototools team
     - add myself as Uploader
     - New homepage
     - cme fix dpkg-control
     - debhelper 9
     - set Vcs fields to pkg-phototools
  * debian/source/format: 3.0 (quilt)
  * debian/rules: use dh instead of cdbs
  * debian/copyright: DEP5

 -- Andreas Tille <tille@debian.org>  Tue, 19 Nov 2013 12:16:49 +0100

=== debian/control ===
Source: pngquant
Maintainer: Debian PhotoTools Maintainers <pkg-phototools-devel@lists.alioth.debian.org>
Uploaders: Andreas Tille <tille@debian.org>,
           Nelson A. de Oliveira <naoliv@debian.org>
Section: graphics
Priority: optional
Build-Depends: debhelper (>= 9),
               libpng-dev,
               zlib1g-dev
Standards-Version: 3.9.4
Vcs-Browser: http://anonscm.debian.org/gitweb/?p=pkg-phototools/pngquant.git
Vcs-Git: git://anonscm.debian.org/pkg-phototools/pngquant.git
Homepage: http://pngquant.org/

Package: pngquant
Architecture: any
Depends: ${shlibs:Depends},
         ${misc:Depends}
Description: PNG (Portable Network Graphics) image optimising utility
 pngquant is a command-line conversion utility to quantize and dither truecolor
 PNG images, especially those with a full alpha channel, down to 8-bit (or
 smaller) RGBA-palette PNGs. Such images are usually two to four times smaller
 than the full 32-bit versions, and partial transparency is preserved quite
 nicely. This makes pngquant especially useful both for Web sites and for
 PlayStation 2 development, where one of the texture formats is
 RGBA-palette-based (though not PNG-compressed).
 This is the same technique used for many of the images on the Miscellaneous
 Transparent PNGs page (http://www.libpng.org/pub/png/pngs-img.html), and
 the results are often indistinguishable from the original, truecolor PNG
 images.
 .
 Optimizers (like pngcrush and optipng) optimize the compression, usually
 losslessly, while pngquant quantizes colors down to 256 (or fewer) distinct
 RGBA combinations, which is lossy.

=== debian/rules ===
#!/usr/bin/make -f

%:
	dh $@

override_dh_auto_install:
	# do nothing

override_dh_installchangelogs:
	dh_installchangelogs CHANGELOG

=== debian/watch ===
version=3
http://pngquant.org/releases.html .*/pngquant-(\d[.\d]+)-src\.tar\.bz2

## pngquant 2.1.0

=== debian/changelog ===
pngquant (2.1.0-1) unstable; urgency=low

  [ Andreas Tille ]
  * debian/copyright: Changed e-mail address of upstream as requested

  [ Jackson Doak ]
  * New upstream release. Closes: #736215
  * debian/control: Bump standards-version to 3.9.5
  * Use upstream's manpage instead of our own

  [ Nelson A. de Oliveira ]
  * Pass NDEBUG when building the binary (LP: #1306426)

 -- Andreas Tille <tille@debian.org>  Fri, 11 Apr 2014 23:57:49 +0200

=== debian/control ===
--- 
+++ 
@@ -7,7 +7,7 @@
 Build-Depends: debhelper (>= 9),
                libpng-dev,
                zlib1g-dev
-Standards-Version: 3.9.4
+Standards-Version: 3.9.5
 Vcs-Browser: http://anonscm.debian.org/gitweb/?p=pkg-phototools/pngquant.git
 Vcs-Git: git://anonscm.debian.org/pkg-phototools/pngquant.git
 Homepage: http://pngquant.org/

=== debian/rules ===
--- 
+++ 
@@ -2,6 +2,9 @@
 
 %:
 	dh $@
+
+override_dh_auto_build:
+	dh_auto_build -- CFLAGS="-DNDEBUG -std=c99 $(CFLAGS)"
 
 override_dh_auto_install:
 	# do nothing

## pngquant 2.3.0

=== Makefile ===
-include config.mk

BIN ?= pngquant
BINPREFIX = $(PREFIX)/bin

OBJS = pngquant.o rwpng.o
COCOA_OBJS = rwpng_cocoa.o

ifeq (1, $(COCOA_READER))
OBJS += $(COCOA_OBJS)
endif

STATICLIB = lib/libimagequant.a

DISTFILES = *.[chm] pngquant.1 Makefile configure README.md INSTALL CHANGELOG COPYRIGHT
TARNAME = pngquant-$(VERSION)
TARFILE = $(TARNAME)-src.tar.bz2

LIBDISTFILES = lib/*.[ch] lib/COPYRIGHT lib/MANUAL.md lib/configure lib/Makefile

DLL=libimagequant.dll
DLLIMP=libimagequant_dll.a
DLLDEF=libimagequant_dll.def

all: $(BIN)

$(STATICLIB):: config.mk
	$(MAKE) -C lib static

$(OBJS): $(wildcard *.h) config.mk

rwpng_cocoa.o: rwpng_cocoa.m
	$(CC) -Wno-enum-conversion -c $(CFLAGS) -o $@ $< || clang -Wno-enum-conversion -c -O3 -o $@ $<

$(BIN): $(STATICLIB) $(OBJS)
	$(CC) $(OBJS) $(LDFLAGS) -o $@

dist: $(TARFILE)

$(TARFILE): $(DISTFILES)
	rm -rf $(TARFILE) $(TARNAME)
	mkdir -p $(TARNAME)/lib
	cp $(DISTFILES) $(TARNAME)
	cp $(LIBDISTFILES) $(TARNAME)/lib
	tar -cjf $(TARFILE) --numeric-owner --exclude='._*' $(TARNAME)
	rm -rf $(TARNAME)
	-shasum $(TARFILE)

install: $(BIN)
	install -m 0755 -p $(BIN) $(BINPREFIX)/$(BIN)

uninstall:
	rm -f $(BINPREFIX)/$(BIN)

clean:
	rm -f $(BIN) $(OBJS) $(COCOA_OBJS) $(STATICLIB) $(TARFILE)

distclean: clean
	rm -f config.mk

ifeq ($(filter %clean %distclean, $(MAKECMDGOALS)), )
config.mk:
	./configure
endif

.PHONY: all clean dist distclean dll install uninstall
.DELETE_ON_ERROR:

=== debian/changelog ===
pngquant (2.3.0-1) unstable; urgency=medium

  * New upstream version
  * cme fix dpkg-control
  * d/copyright: Fix some DEP5 names
  * d/rules: cope with hand-written configure script

 -- Andreas Tille <tille@debian.org>  Tue, 07 Oct 2014 09:19:38 +0200

=== debian/rules ===
--- 
+++ 
@@ -1,7 +1,12 @@
 #!/usr/bin/make -f
+
+SSEFLAG=$(shell if grep -q "^flags.*sse" /proc/cpuinfo ; then echo "--enable-sse" ; else echo "--disable-sse" ; fi)
 
 %:
 	dh $@
+
+override_dh_auto_configure:
+	./configure --prefix=/usr --extra-cflags="$(CFLAGS)" --extra-ldflags="$(LDFLAGS)" $(SSEFLAG)
 
 override_dh_auto_build:
 	dh_auto_build -- CFLAGS="-DNDEBUG -std=c99 $(CFLAGS)"

## pngquant 2.5.0

=== Makefile ===
--- 
+++ 
@@ -1,7 +1,7 @@
 -include config.mk
 
 BIN ?= pngquant
-BINPREFIX = $(PREFIX)/bin
+BINPREFIX = $(DESTDIR)$(PREFIX)/bin
 
 OBJS = pngquant.o rwpng.o
 COCOA_OBJS = rwpng_cocoa.o
@@ -24,16 +24,21 @@
 
 all: $(BIN)
 
-$(STATICLIB):: config.mk
+staticlib:
 	$(MAKE) -C lib static
+
+$(STATICLIB): config.mk staticlib
 
 $(OBJS): $(wildcard *.h) config.mk
 
 rwpng_cocoa.o: rwpng_cocoa.m
-	$(CC) -Wno-enum-conversion -c $(CFLAGS) -o $@ $< || clang -Wno-enum-conversion -c -O3 -o $@ $<
+	$(CC) -Wno-enum-conversion -c $(CFLAGS) -o $@ $< &> /dev/null || clang -Wno-enum-conversion -c -O3 $(CFLAGS) -o $@ $<
 
-$(BIN): $(STATICLIB) $(OBJS)
-	$(CC) $(OBJS) $(LDFLAGS) -o $@
+$(BIN): $(OBJS) $(STATICLIB)
+	$(CC) $^ $(CFLAGS) $(LDFLAGS) -o $@
+
+test: $(BIN)
+	./test/test.sh ./test $(BIN)
 
 dist: $(TARFILE)
 
@@ -47,21 +52,24 @@
 	-shasum $(TARFILE)
 
 install: $(BIN)
-	install -m 0755 -p $(BIN) $(BINPREFIX)/$(BIN)
+	-mkdir -p '$(BINPREFIX)'
+	install -m 0755 -p '$(BIN)' '$(BINPREFIX)/$(BIN)'
 
 uninstall:
-	rm -f $(BINPREFIX)/$(BIN)
+	rm -f '$(BINPREFIX)/$(BIN)'
 
 clean:
-	rm -f $(BIN) $(OBJS) $(COCOA_OBJS) $(STATICLIB) $(TARFILE)
+	$(MAKE) -C lib clean
+	rm -f '$(BIN)' $(OBJS) $(COCOA_OBJS) $(STATICLIB) $(TARFILE)
 
 distclean: clean
-	rm -f config.mk
+	$(MAKE) -C lib distclean
+	rm -f config.mk pngquant-*-src.tar.bz2
 
+config.mk:
 ifeq ($(filter %clean %distclean, $(MAKECMDGOALS)), )
-config.mk:
 	./configure
 endif
 
-.PHONY: all clean dist distclean dll install uninstall
+.PHONY: all clean dist distclean dll install uninstall test staticlib
 .DELETE_ON_ERROR:

=== debian/changelog ===
pngquant (2.5.0-2) unstable; urgency=medium

  * Fix CVE-2016-5735 (Thanks for the patch to Emilio Pozuelo
    Monfort <pochu@debian.org>)
    Closes: 863469

 -- Andreas Tille <tille@debian.org>  Thu, 01 Jun 2017 10:05:51 +0200

pngquant (2.5.0-1) unstable; urgency=medium

  * New upstream version
  * Suppress dh_auto_test since there is no test provided

 -- Andreas Tille <tille@debian.org>  Mon, 27 Jul 2015 09:46:16 +0200

=== debian/control ===
--- 
+++ 
@@ -7,8 +7,8 @@
 Build-Depends: debhelper (>= 9),
                libpng-dev,
                zlib1g-dev
-Standards-Version: 3.9.5
-Vcs-Browser: http://anonscm.debian.org/gitweb/?p=pkg-phototools/pngquant.git
+Standards-Version: 3.9.6
+Vcs-Browser: https://anonscm.debian.org/cgit/pkg-phototools/pngquant.git
 Vcs-Git: git://anonscm.debian.org/pkg-phototools/pngquant.git
 Homepage: http://pngquant.org/

## pngquant 2.12.2

=== Makefile ===
-include config.mk

LIQSRCDIR ?= lib
BIN ?= pngquant
BINPREFIX ?= $(DESTDIR)$(PREFIX)/bin
MANPREFIX ?= $(DESTDIR)$(PREFIX)/share/man

OBJS = pngquant.o pngquant_opts.o rwpng.o

STATICLIB = $(LIQSRCDIR)/libimagequant.a
DISTFILES = *.[chm] pngquant.1 Makefile configure README.md INSTALL CHANGELOG COPYRIGHT Cargo.toml
TARNAME = pngquant-$(VERSION)
TARFILE = $(TARNAME)-src.tar.gz

LIBDISTFILES = $(LIQSRCDIR)/*.[ch] $(LIQSRCDIR)/COPYRIGHT $(LIQSRCDIR)/README.md $(LIQSRCDIR)/configure $(LIQSRCDIR)/Makefile $(LIQSRCDIR)/Cargo.toml

TESTBIN = test/test

all: $(BIN)

$(LIQSRCDIR)/config.mk: config.mk
	( cd '$(LIQSRCDIR)'; ./configure $(LIQCONFIGUREFLAGS) )

$(STATICLIB): $(LIQSRCDIR)/config.mk $(LIBDISTFILES)
	$(MAKE) -C '$(LIQSRCDIR)' static

$(OBJS): $(wildcard *.h) config.mk

$(BIN): $(OBJS) $(STATICLIBDEPS)
	$(CC) $(OBJS) $(CFLAGS) $(LDFLAGS) -o $@

$(TESTBIN): test/test.o $(STATICLIBDEPS)
	$(CC) test/test.o $(CFLAGS) $(LDFLAGS) -o $@

test: $(BIN) $(TESTBIN)
	LD_LIBRARY_PATH='$(LIQSRCDIR)' ./test/test.sh ./test $(BIN) $(TESTBIN)

dist: $(TARFILE)

$(TARFILE): $(DISTFILES)
	test -n "$(VERSION)"
	make -C $(LIQSRCDIR) cargo
	rm -rf $(TARFILE) $(TARNAME)
	mkdir -p $(TARNAME)/lib/rust $(TARNAME)/lib/msvc-dist $(TARNAME)/rust
	cp $(DISTFILES) $(TARNAME)
	cp rust/*.rs $(TARNAME)/rust/
	cp $(LIBDISTFILES) $(TARNAME)/lib
	cp $(LIQSRCDIR)/rust/*.rs $(TARNAME)/lib/rust/
	cp $(LIQSRCDIR)/msvc-dist/*.[ch] $(TARNAME)/lib/msvc-dist/
	tar -czf $(TARFILE) --numeric-owner --exclude='._*' $(TARNAME)
	rm -rf $(TARNAME)
	-shasum $(TARFILE)

install: $(BIN) $(BIN).1
	-mkdir -p '$(BINPREFIX)'
	-mkdir -p '$(MANPREFIX)/man1'
	install -m 0755 -p '$(BIN)' '$(BINPREFIX)/$(BIN)'
	install -m 0644 -p '$(BIN).1' '$(MANPREFIX)/man1/'

uninstall:
	rm -f '$(BINPREFIX)/$(BIN)'
	rm -f '$(MANPREFIX)/man1/$(BIN).1'

clean:
	-test -n '$(LIQSRCDIR)' && $(MAKE) -C '$(LIQSRCDIR)' clean
	rm -f '$(BIN)' $(OBJS) $(TARFILE)

distclean: clean
	-test -n '$(LIQSRCDIR)' && $(MAKE) -C '$(LIQSRCDIR)' distclean
	rm -f config.mk pngquant-*-src.tar.gz

config.mk: Makefile
ifeq ($(filter %clean %distclean, $(MAKECMDGOALS)), )
	./configure
endif

.PHONY: all clean dist distclean dll install uninstall test
.DELETE_ON_ERROR:

=== debian/changelog ===
pngquant (2.12.2-1) unstable; urgency=medium

  * New upstream version
    Closes: #894891
  * Upstream moved source to Github
  * cme fix dpkg-control
  * debhelper 11
  * Build-Depends: libimagequant-dev
  * Build-Depends: liblcms2-dev
  * Point Vcs fields to Salsa
  * New upstream version
  * Standards-Version: 4.2.1
  * d/rules: enable cross building (thanks for the patch to Helmut Grohne
    <helmut@subdivi.de>)
    Closes: #902548, #857175

 -- Andreas Tille <tille@debian.org>  Wed, 05 Dec 2018 15:59:46 +0100

=== debian/control ===
--- 
+++ 
@@ -4,12 +4,14 @@
            Nelson A. de Oliveira <naoliv@debian.org>
 Section: graphics
 Priority: optional
-Build-Depends: debhelper (>= 9),
+Build-Depends: debhelper (>= 11~),
+               libimagequant-dev,
                libpng-dev,
-               zlib1g-dev
-Standards-Version: 3.9.6
-Vcs-Browser: https://anonscm.debian.org/cgit/pkg-phototools/pngquant.git
-Vcs-Git: git://anonscm.debian.org/pkg-phototools/pngquant.git
+               zlib1g-dev,
+               liblcms2-dev
+Standards-Version: 4.2.1
+Vcs-Browser: https://salsa.debian.org/debian-phototools-team/pngquant
+Vcs-Git: https://salsa.debian.org/debian-phototools-team/pngquant.git
 Homepage: http://pngquant.org/
 
 Package: pngquant

=== debian/rules ===
#!/usr/bin/make -f

include /usr/share/dpkg/architecture.mk
DPKG_EXPORT_BUILDTOOLS=1
-include /usr/share/dpkg/buildtools.mk
ifeq ($(DEB_HOST_ARCH_CPU),amd64)
SSEFLAG=--enable-sse
CFLAGS += -DUSE_SSE=1 -msse
else
SSEFLAG=--disable-sse
endif

%:
	dh $@

override_dh_auto_clean:
	rm -f pngquant *.o

override_dh_auto_configure:
	dh_auto_configure -- --extra-cflags="$(CFLAGS)" --extra-ldflags="$(LDFLAGS)" $(SSEFLAG)

override_dh_auto_build:
	dh_auto_build -- CFLAGS="-DNDEBUG -std=c99 $(CFLAGS)"

override_dh_auto_install:
	# do nothing

override_dh_installchangelogs:
	dh_installchangelogs CHANGELOG

override_dh_auto_test:
	echo "no test suite provided upstream"

## pngquant 2.13.1

=== debian/changelog ===
pngquant (2.13.1-1) unstable; urgency=medium

  * New upstream version
  * Standards-Version: 4.5.1 (routine-update)
  * debhelper-compat 13 (routine-update)
  * Respect DEB_BUILD_OPTIONS in override_dh_auto_test target (routine-
    update)
  * Add salsa-ci file (routine-update)
  * Rules-Requires-Root: no (routine-update)
  * Trim trailing whitespace.
  * Use secure URI in Homepage field.
  * Set field Upstream-Name in debian/copyright.
  * Set upstream metadata fields: Bug-Database, Bug-Submit, Repository,
    Repository-Browse.

 -- Andreas Tille <tille@debian.org>  Wed, 02 Dec 2020 20:23:49 +0100

=== debian/control ===
--- 
+++ 
@@ -1,18 +1,18 @@
 Source: pngquant
 Maintainer: Debian PhotoTools Maintainers <pkg-phototools-devel@lists.alioth.debian.org>
 Uploaders: Andreas Tille <tille@debian.org>,
-           Nelson A. de Oliveira <naoliv@debian.org>
 Section: graphics
 Priority: optional
-Build-Depends: debhelper (>= 11~),
+Build-Depends: debhelper-compat (= 13),
                libimagequant-dev,
                libpng-dev,
                zlib1g-dev,
                liblcms2-dev
-Standards-Version: 4.2.1
+Standards-Version: 4.5.1
 Vcs-Browser: https://salsa.debian.org/debian-phototools-team/pngquant
 Vcs-Git: https://salsa.debian.org/debian-phototools-team/pngquant.git
-Homepage: http://pngquant.org/
+Homepage: https://pngquant.org/
+Rules-Requires-Root: no
 
 Package: pngquant
 Architecture: any

=== debian/rules ===
--- 
+++ 
@@ -29,4 +29,6 @@
 	dh_installchangelogs CHANGELOG
 
 override_dh_auto_test:
+ifeq (,$(filter nocheck,$(DEB_BUILD_OPTIONS)))
 	echo "no test suite provided upstream"
+endif

=== debian/watch ===
version=4

https://github.com/pornel/pngquant/releases .*/archive/(\d[\d.-]+)\.(?:tar(?:\.gz|\.bz2)?|tgz)

## pngquant 2.17.0

=== debian/changelog ===
pngquant (2.17.0-1) unstable; urgency=medium

  * Fix watch file
  * New upstream version
  * Standards-Version: 4.6.1 (routine-update)

 -- Andreas Tille <tille@debian.org>  Thu, 24 Nov 2022 17:18:59 +0100

=== debian/control ===
--- 
+++ 
@@ -8,7 +8,7 @@
                libpng-dev,
                zlib1g-dev,
                liblcms2-dev
-Standards-Version: 4.5.1
+Standards-Version: 4.6.1
 Vcs-Browser: https://salsa.debian.org/debian-phototools-team/pngquant
 Vcs-Git: https://salsa.debian.org/debian-phototools-team/pngquant.git
 Homepage: https://pngquant.org/

=== debian/watch ===
version=4

opts="filenamemangle=s%(?:.*?)?v?(\d[\d.]*)\.tar\.gz%@PACKAGE@-$1.tar.gz%" \
  https://github.com/pornel/pngquant/tags .*/v?(\d[\d.-]+)\.(?:tar(?:\.gz|\.bz2)?|tgz)

## pngquant 2.18.0

=== debian/changelog ===
pngquant (2.18.0-1build2) noble; urgency=medium

  * No-change rebuild for CVE-2024-3094

 -- William Grant <wgrant@ubuntu.com>  Mon, 01 Apr 2024 18:14:25 +1100

pngquant (2.18.0-1build1) noble; urgency=medium

  * No-change rebuild against libpng16-16t64

 -- Steve Langasek <steve.langasek@ubuntu.com>  Thu, 29 Feb 2024 07:51:32 +0000

pngquant (2.18.0-1) unstable; urgency=medium

  * Fix clean target
    Closes: #1045315
  * d/watch: Restrict upstream version to 2.x since I have no capacity
    to switch to Rust which needs extra not yet packaged dependencies
  * New upstream version
  * Standards-Version: 4.6.2 (routine-update)

 -- Andreas Tille <tille@debian.org>  Fri, 26 Jan 2024 20:10:17 +0100

=== debian/control ===
--- 
+++ 
@@ -1,5 +1,6 @@
 Source: pngquant
-Maintainer: Debian PhotoTools Maintainers <pkg-phototools-devel@lists.alioth.debian.org>
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+XSBC-Original-Maintainer: Debian PhotoTools Maintainers <pkg-phototools-devel@lists.alioth.debian.org>
 Uploaders: Andreas Tille <tille@debian.org>,
 Section: graphics
 Priority: optional
@@ -8,7 +9,7 @@
                libpng-dev,
                zlib1g-dev,
                liblcms2-dev
-Standards-Version: 4.6.1
+Standards-Version: 4.6.2
 Vcs-Browser: https://salsa.debian.org/debian-phototools-team/pngquant
 Vcs-Git: https://salsa.debian.org/debian-phototools-team/pngquant.git
 Homepage: https://pngquant.org/

=== debian/rules ===
--- 
+++ 
@@ -14,7 +14,7 @@
 	dh $@
 
 override_dh_auto_clean:
-	rm -f pngquant *.o
+	rm -f pngquant *.o config.mk
 
 override_dh_auto_configure:
 	dh_auto_configure -- --extra-cflags="$(CFLAGS)" --extra-ldflags="$(LDFLAGS)" $(SSEFLAG)

=== debian/watch ===
version=4

opts="filenamemangle=s%(?:.*?)?v?(\d[\d.]*)\.tar\.gz%@PACKAGE@-$1.tar.gz%" \
  https://github.com/pornel/pngquant/tags .*/v?(2[\d.-]+)\.(?:tar(?:\.gz|\.bz2)?|tgz)
